Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2963573004: [Cleanup] Migrate the WatcherMetricsProvider to use the Task Scheduler. (Closed)

Created:
1 year, 8 months ago by Ilya Sherman
Modified:
1 year, 8 months ago
CC:
chromium-reviews, asvitkine+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[Cleanup] Migrate the WatcherMetricsProvider to use the Task Scheduler. BUG=667892 TEST=none R=asvitkine@chromium.org Review-Url: https://codereview.chromium.org/2963573004 Cr-Commit-Position: refs/heads/master@{#484860} Committed: https://chromium.googlesource.com/chromium/src/+/1caa0802385fff5ac048cfe1423c19ab3a72acdf

Patch Set 1 #

Patch Set 2 : Fix unittest #

Patch Set 3 : Bottleneck through a single sequence for access to the registry key #

Total comments: 5

Patch Set 4 : add missing namespace #

Patch Set 5 : initialize the task runner #

Patch Set 6 : Fix threading in tests? #

Total comments: 1

Patch Set 7 : Document that registry interactions can block, and adjust the unittest not to be flaky #

Unified diffs Side-by-side diffs Delta from patch set Stats (+47 lines, -45 lines) Patch
M chrome/browser/metrics/chrome_metrics_service_client.cc View 1 2 3 4 5 6 1 chunk +1 line, -2 lines 0 comments Download
M components/browser_watcher/watcher_metrics_provider_win.h View 1 2 4 chunks +8 lines, -8 lines 0 comments Download
M components/browser_watcher/watcher_metrics_provider_win.cc View 1 2 3 4 5 6 5 chunks +21 lines, -14 lines 0 comments Download
M components/browser_watcher/watcher_metrics_provider_win_unittest.cc View 1 2 3 4 5 6 6 chunks +17 lines, -21 lines 0 comments Download

Messages

Total messages: 50 (34 generated)
Ilya Sherman
1 year, 8 months ago (2017-06-28 21:29:45 UTC) #1
Alexei Svitkine (slow)
Will wait for green bots.
1 year, 8 months ago (2017-06-29 14:07:03 UTC) #6
Ilya Sherman
https://codereview.chromium.org/2963573004/diff/40001/components/browser_watcher/watcher_metrics_provider_win_unittest.cc File components/browser_watcher/watcher_metrics_provider_win_unittest.cc (right): https://codereview.chromium.org/2963573004/diff/40001/components/browser_watcher/watcher_metrics_provider_win_unittest.cc#newcode139 components/browser_watcher/watcher_metrics_provider_win_unittest.cc:139: key.Open(HKEY_CURRENT_USER, kRegistryPath, KEY_READ)); It's not clear to me whether ...
1 year, 8 months ago (2017-06-30 18:29:42 UTC) #24
manzagop (departed)
lgtm https://codereview.chromium.org/2963573004/diff/40001/components/browser_watcher/watcher_metrics_provider_win_unittest.cc File components/browser_watcher/watcher_metrics_provider_win_unittest.cc (right): https://codereview.chromium.org/2963573004/diff/40001/components/browser_watcher/watcher_metrics_provider_win_unittest.cc#newcode139 components/browser_watcher/watcher_metrics_provider_win_unittest.cc:139: key.Open(HKEY_CURRENT_USER, kRegistryPath, KEY_READ)); On 2017/06/30 18:29:41, Ilya Sherman ...
1 year, 8 months ago (2017-06-30 20:11:44 UTC) #25
Ilya Sherman
https://codereview.chromium.org/2963573004/diff/40001/components/browser_watcher/watcher_metrics_provider_win_unittest.cc File components/browser_watcher/watcher_metrics_provider_win_unittest.cc (right): https://codereview.chromium.org/2963573004/diff/40001/components/browser_watcher/watcher_metrics_provider_win_unittest.cc#newcode139 components/browser_watcher/watcher_metrics_provider_win_unittest.cc:139: key.Open(HKEY_CURRENT_USER, kRegistryPath, KEY_READ)); On 2017/06/30 20:11:43, manzagop (departed) wrote: ...
1 year, 8 months ago (2017-07-03 02:35:08 UTC) #26
manzagop (departed)
https://codereview.chromium.org/2963573004/diff/40001/components/browser_watcher/watcher_metrics_provider_win_unittest.cc File components/browser_watcher/watcher_metrics_provider_win_unittest.cc (right): https://codereview.chromium.org/2963573004/diff/40001/components/browser_watcher/watcher_metrics_provider_win_unittest.cc#newcode139 components/browser_watcher/watcher_metrics_provider_win_unittest.cc:139: key.Open(HKEY_CURRENT_USER, kRegistryPath, KEY_READ)); On 2017/07/03 02:35:07, Ilya Sherman wrote: ...
1 year, 8 months ago (2017-07-04 12:26:25 UTC) #27
Ilya Sherman
Thanks! https://codereview.chromium.org/2963573004/diff/40001/components/browser_watcher/watcher_metrics_provider_win_unittest.cc File components/browser_watcher/watcher_metrics_provider_win_unittest.cc (right): https://codereview.chromium.org/2963573004/diff/40001/components/browser_watcher/watcher_metrics_provider_win_unittest.cc#newcode139 components/browser_watcher/watcher_metrics_provider_win_unittest.cc:139: key.Open(HKEY_CURRENT_USER, kRegistryPath, KEY_READ)); On 2017/07/04 12:26:25, manzagop (departed) ...
1 year, 8 months ago (2017-07-05 18:09:42 UTC) #28
Alexei Svitkine (slow)
lgtm
1 year, 8 months ago (2017-07-05 18:17:02 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2963573004/120001
1 year, 8 months ago (2017-07-05 18:20:55 UTC) #35
commit-bot: I haz the power
Try jobs failed on following builders: ios-simulator on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-simulator/builds/251592)
1 year, 8 months ago (2017-07-05 18:56:41 UTC) #37
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2963573004/120001
1 year, 8 months ago (2017-07-07 00:30:05 UTC) #39
commit-bot: I haz the power
Try jobs failed on following builders: chromeos_amd64-generic_chromium_compile_only_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromeos_amd64-generic_chromium_compile_only_ng/builds/374736)
1 year, 8 months ago (2017-07-07 01:09:30 UTC) #41
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2963573004/120001
1 year, 8 months ago (2017-07-07 01:11:41 UTC) #43
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/483703)
1 year, 8 months ago (2017-07-07 03:47:12 UTC) #45
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2963573004/120001
1 year, 8 months ago (2017-07-07 07:26:11 UTC) #47
commit-bot: I haz the power
1 year, 8 months ago (2017-07-07 08:19:57 UTC) #50
Message was sent while issue was closed.
Committed patchset #7 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/1caa0802385fff5ac048cfe1423c...

Powered by Google App Engine
This is Rietveld 408576698